
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    
    <title>src.entity package &#8212; BRMS Engine 1.0 documentation</title>
    
    <link rel="stylesheet" href="_static/alabaster.css" type="text/css" />
    <link rel="stylesheet" href="_static/pygments.css" type="text/css" />
    
    <script type="text/javascript">
      var DOCUMENTATION_OPTIONS = {
        URL_ROOT:    './',
        VERSION:     '1.0',
        COLLAPSE_INDEX: false,
        FILE_SUFFIX: '.html',
        HAS_SOURCE:  true,
        SOURCELINK_SUFFIX: '.txt'
      };
    </script>
    <script type="text/javascript" src="_static/jquery.js"></script>
    <script type="text/javascript" src="_static/underscore.js"></script>
    <script type="text/javascript" src="_static/doctools.js"></script>
    <link rel="index" title="Index" href="genindex.html" />
    <link rel="search" title="Search" href="search.html" />
   
  <link rel="stylesheet" href="_static/custom.css" type="text/css" />
  
  
  <meta name="viewport" content="width=device-width, initial-scale=0.9, maximum-scale=0.9" />

  </head>
  <body>
  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body" role="main">
            
  <div class="section" id="src-entity-package">
<h1>src.entity package<a class="headerlink" href="#src-entity-package" title="Permalink to this headline">¶</a></h1>
<div class="section" id="submodules">
<h2>Submodules<a class="headerlink" href="#submodules" title="Permalink to this headline">¶</a></h2>
</div>
<div class="section" id="module-src.entity.component">
<span id="src-entity-component-module"></span><h2>src.entity.component module<a class="headerlink" href="#module-src.entity.component" title="Permalink to this headline">¶</a></h2>
<dl class="class">
<dt id="src.entity.component.Component">
<em class="property">class </em><code class="descclassname">src.entity.component.</code><code class="descname">Component</code><span class="sig-paren">(</span><em>scenario_rule_instance</em>, <em>metadata: src.entity.metadata.MetaData</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/src/entity/component.html#Component"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#src.entity.component.Component" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <code class="xref py py-class docutils literal"><span class="pre">abc.ABC</span></code></p>
<dl class="method">
<dt id="src.entity.component.Component.cleanup_scenario_rule_instance">
<code class="descname">cleanup_scenario_rule_instance</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="_modules/src/entity/component.html#Component.cleanup_scenario_rule_instance"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#src.entity.component.Component.cleanup_scenario_rule_instance" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="src.entity.component.Component.execute_business_rule">
<code class="descname">execute_business_rule</code><span class="sig-paren">(</span><em>index</em>, <em>rule</em><span class="sig-paren">)</span> &#x2192; bool<a class="reference internal" href="_modules/src/entity/component.html#Component.execute_business_rule"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#src.entity.component.Component.execute_business_rule" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="src.entity.component.Component.execute_scenario_rule_instance">
<code class="descname">execute_scenario_rule_instance</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="_modules/src/entity/component.html#Component.execute_scenario_rule_instance"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#src.entity.component.Component.execute_scenario_rule_instance" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="src.entity.component.Component.get_scenario_rule_instance_completion_status">
<code class="descname">get_scenario_rule_instance_completion_status</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="_modules/src/entity/component.html#Component.get_scenario_rule_instance_completion_status"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#src.entity.component.Component.get_scenario_rule_instance_completion_status" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="src.entity.component.Component.invoke">
<code class="descname">invoke</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="_modules/src/entity/component.html#Component.invoke"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#src.entity.component.Component.invoke" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="src.entity.component.Component.is_prepared">
<code class="descname">is_prepared</code><span class="sig-paren">(</span><span class="sig-paren">)</span> &#x2192; bool<a class="reference internal" href="_modules/src/entity/component.html#Component.is_prepared"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#src.entity.component.Component.is_prepared" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="src.entity.component.Component.is_valid">
<code class="descname">is_valid</code><span class="sig-paren">(</span><span class="sig-paren">)</span> &#x2192; bool<a class="reference internal" href="_modules/src/entity/component.html#Component.is_valid"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#src.entity.component.Component.is_valid" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="src.entity.component.Component.make_query">
<code class="descname">make_query</code><span class="sig-paren">(</span><em>br_expression</em><span class="sig-paren">)</span> &#x2192; str<a class="reference internal" href="_modules/src/entity/component.html#Component.make_query"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#src.entity.component.Component.make_query" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="src.entity.component.Component.mark_business_rule_complete">
<code class="descname">mark_business_rule_complete</code><span class="sig-paren">(</span><em>rule</em>, <em>br_status: bool</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/src/entity/component.html#Component.mark_business_rule_complete"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#src.entity.component.Component.mark_business_rule_complete" title="Permalink to this definition">¶</a></dt>
<dd><p>Update business rule status depending upon BR execution status,
and collect the output in collection of business rule status</p>
</dd></dl>

<dl class="method">
<dt id="src.entity.component.Component.mark_scenario_rule_instance_complete">
<code class="descname">mark_scenario_rule_instance_complete</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="_modules/src/entity/component.html#Component.mark_scenario_rule_instance_complete"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#src.entity.component.Component.mark_scenario_rule_instance_complete" title="Permalink to this definition">¶</a></dt>
<dd><p>Evaluate scenario rule completion status, referencing the collection of business rule status</p>
</dd></dl>

<dl class="method">
<dt id="src.entity.component.Component.mark_scenario_rule_instance_invalid">
<code class="descname">mark_scenario_rule_instance_invalid</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="_modules/src/entity/component.html#Component.mark_scenario_rule_instance_invalid"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#src.entity.component.Component.mark_scenario_rule_instance_invalid" title="Permalink to this definition">¶</a></dt>
<dd><p>Mark scenario rule instance Failed due to invalid or unprepared failed statements</p>
</dd></dl>

<dl class="method">
<dt id="src.entity.component.Component.prepare_create_query">
<code class="descname">prepare_create_query</code><span class="sig-paren">(</span><em>select_query_str: str</em>, <em>prefix=”</em>, <em>suffix=”</em><span class="sig-paren">)</span> &#x2192; str<a class="reference internal" href="_modules/src/entity/component.html#Component.prepare_create_query"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#src.entity.component.Component.prepare_create_query" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</dd></dl>

</div>
<div class="section" id="module-src.entity.metadata">
<span id="src-entity-metadata-module"></span><h2>src.entity.metadata module<a class="headerlink" href="#module-src.entity.metadata" title="Permalink to this headline">¶</a></h2>
<dl class="class">
<dt id="src.entity.metadata.MetaData">
<em class="property">class </em><code class="descclassname">src.entity.metadata.</code><code class="descname">MetaData</code><span class="sig-paren">(</span><em>scenario_id: str</em>, <em>mode: bool</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/src/entity/metadata.html#MetaData"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#src.entity.metadata.MetaData" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <code class="xref py py-class docutils literal"><span class="pre">object</span></code></p>
<p>Class that handles operations related to metadata from SFDC (fetching, updating SFDC data) for the scenario being executed.</p>
<p>SFDC objects handled in metadata include : Scenario, Scenario Rule Instance, Dataset Rule Map,
Scenario Data Object Map, Data Object, Dataset, Dataset Column Details, Business Rule,
BR Expression, BR Join Rule.</p>
<dl class="method">
<dt id="src.entity.metadata.MetaData.get_br_expression">
<code class="descname">get_br_expression</code><span class="sig-paren">(</span><em>rule</em><span class="sig-paren">)</span> &#x2192; pandas.core.frame.DataFrame<a class="reference internal" href="_modules/src/entity/metadata.html#MetaData.get_br_expression"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#src.entity.metadata.MetaData.get_br_expression" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="src.entity.metadata.MetaData.get_business_rules">
<code class="descname">get_business_rules</code><span class="sig-paren">(</span><em>scenario_rule_instance: pandas.core.series.Series</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/src/entity/metadata.html#MetaData.get_business_rules"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#src.entity.metadata.MetaData.get_business_rules" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="src.entity.metadata.MetaData.get_column_details">
<code class="descname">get_column_details</code><span class="sig-paren">(</span><em>dataset: pandas.core.series.Series</em><span class="sig-paren">)</span> &#x2192; pandas.core.frame.DataFrame<a class="reference internal" href="_modules/src/entity/metadata.html#MetaData.get_column_details"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#src.entity.metadata.MetaData.get_column_details" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="src.entity.metadata.MetaData.get_component_name">
<code class="descname">get_component_name</code><span class="sig-paren">(</span><em>scenario_rule_instance</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/src/entity/metadata.html#MetaData.get_component_name"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#src.entity.metadata.MetaData.get_component_name" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="src.entity.metadata.MetaData.get_input_dataset">
<code class="descname">get_input_dataset</code><span class="sig-paren">(</span><em>scenario_rule_instance</em>, <em>index=0</em><span class="sig-paren">)</span> &#x2192; pandas.core.series.Series<a class="reference internal" href="_modules/src/entity/metadata.html#MetaData.get_input_dataset"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#src.entity.metadata.MetaData.get_input_dataset" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="src.entity.metadata.MetaData.get_input_table_name">
<code class="descname">get_input_table_name</code><span class="sig-paren">(</span><em>scenario_rule_instance</em>, <em>index=0</em>, <em>with_schema=False</em><span class="sig-paren">)</span> &#x2192; str<a class="reference internal" href="_modules/src/entity/metadata.html#MetaData.get_input_table_name"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#src.entity.metadata.MetaData.get_input_table_name" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="src.entity.metadata.MetaData.get_join_br_expression">
<code class="descname">get_join_br_expression</code><span class="sig-paren">(</span><em>rule</em><span class="sig-paren">)</span> &#x2192; pandas.core.frame.DataFrame<a class="reference internal" href="_modules/src/entity/metadata.html#MetaData.get_join_br_expression"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#src.entity.metadata.MetaData.get_join_br_expression" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="src.entity.metadata.MetaData.get_output_dataset">
<code class="descname">get_output_dataset</code><span class="sig-paren">(</span><em>scenario_rule_instance</em>, <em>index=0</em><span class="sig-paren">)</span> &#x2192; pandas.core.series.Series<a class="reference internal" href="_modules/src/entity/metadata.html#MetaData.get_output_dataset"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#src.entity.metadata.MetaData.get_output_dataset" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="src.entity.metadata.MetaData.get_output_table_name">
<code class="descname">get_output_table_name</code><span class="sig-paren">(</span><em>scenario_rule_instance</em>, <em>index=0</em>, <em>with_schema=False</em><span class="sig-paren">)</span> &#x2192; str<a class="reference internal" href="_modules/src/entity/metadata.html#MetaData.get_output_table_name"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#src.entity.metadata.MetaData.get_output_table_name" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="classmethod">
<dt id="src.entity.metadata.MetaData.initialize">
<em class="property">classmethod </em><code class="descname">initialize</code><span class="sig-paren">(</span><em>scenario_id: str</em>, <em>mode: bool</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/src/entity/metadata.html#MetaData.initialize"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#src.entity.metadata.MetaData.initialize" title="Permalink to this definition">¶</a></dt>
<dd><p>Initializes metadata
:param scenario_id: SFDC id for scenario
:param mode: True - enable status updates in SFDC; False otherwise
:return: metadata for the given scenario</p>
</dd></dl>

<dl class="method">
<dt id="src.entity.metadata.MetaData.internal_tables">
<code class="descname">internal_tables</code><span class="sig-paren">(</span><span class="sig-paren">)</span> &#x2192; pandas.core.series.Series<a class="reference internal" href="_modules/src/entity/metadata.html#MetaData.internal_tables"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#src.entity.metadata.MetaData.internal_tables" title="Permalink to this definition">¶</a></dt>
<dd><table class="docutils field-list" frame="void" rules="none">
<col class="field-name" />
<col class="field-body" />
<tbody valign="top">
<tr class="field-odd field"><th class="field-name">Returns:</th><td class="field-body">dataframe of all the internal tables for the given scenario</td>
</tr>
</tbody>
</table>
</dd></dl>

<dl class="method">
<dt id="src.entity.metadata.MetaData.is_input_table_internal">
<code class="descname">is_input_table_internal</code><span class="sig-paren">(</span><em>scenario_rule_instance</em>, <em>index=0</em><span class="sig-paren">)</span> &#x2192; bool<a class="reference internal" href="_modules/src/entity/metadata.html#MetaData.is_input_table_internal"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#src.entity.metadata.MetaData.is_input_table_internal" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="src.entity.metadata.MetaData.is_output_table_internal">
<code class="descname">is_output_table_internal</code><span class="sig-paren">(</span><em>scenario_rule_instance</em>, <em>index=0</em><span class="sig-paren">)</span> &#x2192; bool<a class="reference internal" href="_modules/src/entity/metadata.html#MetaData.is_output_table_internal"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#src.entity.metadata.MetaData.is_output_table_internal" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="src.entity.metadata.MetaData.update_business_rule">
<code class="descname">update_business_rule</code><span class="sig-paren">(</span><em>rule: pandas.core.series.Series</em>, <em>status: str</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/src/entity/metadata.html#MetaData.update_business_rule"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#src.entity.metadata.MetaData.update_business_rule" title="Permalink to this definition">¶</a></dt>
<dd><p>Updates Status__c in Business Rule object in SFDC if Status updates are enabled
:param rule: Business Rule record
:param status: Success or Error Occurred</p>
</dd></dl>

<dl class="method">
<dt id="src.entity.metadata.MetaData.update_scenario_flag">
<code class="descname">update_scenario_flag</code><span class="sig-paren">(</span><em>status: str</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/src/entity/metadata.html#MetaData.update_scenario_flag"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#src.entity.metadata.MetaData.update_scenario_flag" title="Permalink to this definition">¶</a></dt>
<dd><p>Updates Request_Process_Stage__c in Scenario object in SFDC if Status updates are enabled
:param status: Success or Error Occurred</p>
</dd></dl>

<dl class="method">
<dt id="src.entity.metadata.MetaData.update_scenario_rule_instance">
<code class="descname">update_scenario_rule_instance</code><span class="sig-paren">(</span><em>scenario_rule_instance: pandas.core.series.Series</em>, <em>status: str</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/src/entity/metadata.html#MetaData.update_scenario_rule_instance"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#src.entity.metadata.MetaData.update_scenario_rule_instance" title="Permalink to this definition">¶</a></dt>
<dd><p>Updates Status__c in Scenario Rule Instance object in SFDC if Status updates are enabled
:param scenario_rule_instance: scenario rule instance record
:param status: Success or Error Occurred</p>
</dd></dl>

</dd></dl>

</div>
<div class="section" id="module-src.entity.sf_objects">
<span id="src-entity-sf-objects-module"></span><h2>src.entity.sf_objects module<a class="headerlink" href="#module-src.entity.sf_objects" title="Permalink to this headline">¶</a></h2>
<dl class="class">
<dt id="src.entity.sf_objects.SfObjects">
<em class="property">class </em><code class="descclassname">src.entity.sf_objects.</code><code class="descname">SfObjects</code><span class="sig-paren">(</span><em>dataobject_id: str</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/src/entity/sf_objects.html#SfObjects"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#src.entity.sf_objects.SfObjects" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <code class="xref py py-class docutils literal"><span class="pre">object</span></code></p>
<p>Class that connects to Salesforce and Retrieves 3 objects: DataObject, DataSet, DataSet Column Details
It is instantiated in the FileMovement class .</p>
</dd></dl>

</div>
<div class="section" id="module-src.entity">
<span id="module-contents"></span><h2>Module contents<a class="headerlink" href="#module-src.entity" title="Permalink to this headline">¶</a></h2>
</div>
</div>


          </div>
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
  <h3><a href="index.html">Table Of Contents</a></h3>
  <ul>
<li><a class="reference internal" href="#">src.entity package</a><ul>
<li><a class="reference internal" href="#submodules">Submodules</a></li>
<li><a class="reference internal" href="#module-src.entity.component">src.entity.component module</a></li>
<li><a class="reference internal" href="#module-src.entity.metadata">src.entity.metadata module</a></li>
<li><a class="reference internal" href="#module-src.entity.sf_objects">src.entity.sf_objects module</a></li>
<li><a class="reference internal" href="#module-src.entity">Module contents</a></li>
</ul>
</li>
</ul>
<div class="relations">
<h3>Related Topics</h3>
<ul>
  <li><a href="index.html">Documentation overview</a><ul>
  </ul></li>
</ul>
</div>
  <div role="note" aria-label="source link">
    <h3>This Page</h3>
    <ul class="this-page-menu">
      <li><a href="_sources/src.entity.rst.txt"
            rel="nofollow">Show Source</a></li>
    </ul>
   </div>
<div id="searchbox" style="display: none" role="search">
  <h3>Quick search</h3>
    <form class="search" action="search.html" method="get">
      <div><input type="text" name="q" /></div>
      <div><input type="submit" value="Go" /></div>
      <input type="hidden" name="check_keywords" value="yes" />
      <input type="hidden" name="area" value="default" />
    </form>
</div>
<script type="text/javascript">$('#searchbox').show(0);</script>
        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="footer">
      &copy;2018, SalesIQ-BRM-DM.
      
      |
      Powered by <a href="http://sphinx-doc.org/">Sphinx 1.6.2</a>
      &amp; <a href="https://github.com/bitprophet/alabaster">Alabaster 0.7.10</a>
      
      |
      <a href="_sources/src.entity.rst.txt"
          rel="nofollow">Page source</a>
    </div>

    

    
  </body>
</html>